Page MenuHomePhabricator

efl: add Efl.Model.Children_Index_Get.
ClosedPublic

Authored by cedric on Jan 24 2020, 11:29 AM.

Details

Summary

This allow for fetching random children in a model. A simple fallback is
provided by Efl.Loop_Model that will allow all model to provide this
feature in a non optimized way. Later on this can be speeded up.

Depends on D11184

Diff Detail

Repository
rEFL core/efl
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.
cedric created this revision.Jan 24 2020, 11:29 AM
cedric requested review of this revision.Jan 24 2020, 11:29 AM
segfaultxavi added inline comments.Jan 27 2020, 1:40 AM
src/lib/efl/interfaces/efl_model.eo
152

While both indexes and indices are accepted in English, in the EFL API we use indices everywhere.

cedric updated this revision to Diff 28642.Jan 29 2020, 10:34 AM
cedric edited the summary of this revision. (Show Details)

rebase and address comment

segfaultxavi resigned from this revision.Jan 29 2020, 10:51 AM

No more complains!

bu5hm4n accepted this revision.Jan 30 2020, 8:47 AM
This revision is now accepted and ready to land.Jan 30 2020, 8:47 AM
This revision was automatically updated to reflect the committed changes.